#desktop {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 10;
	width: 100%;
	height: 100%;
	display: none;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	text-align: center;
	background: url("../background_hd.png");
	background-size: cover;
	background-color: #fff;
}

#desktop.show {
	display: flex;
}

#desktop img.logo {
	max-width: 128px;
}

#desktop span {
	max-width: 400px;
	margin: 30px;
	font-weight: 300;
	color: #835a00;
}

#loader {
	width: 100%;
	height: 100%;
	padding: 50px;
	position: fixed;
	z-index: 5;
	top: 0;
	left: 0;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 75px;
	box-sizing: border-box;
	background-color: #111;
	transform: translateY(0%);
	transition: 1000ms;
}

#loader.hide {
	transition-delay: 600ms;
	transform: translateY(-100%);
}

#loader.hide > svg {
	opacity: 0;
}

#loader svg {
	width: 192px;
	fill: none;
	opacity: 1;
	transition: 500ms;
}

#loader svg path {
	stroke: #835a00;
	stroke-width: 6px;
	stroke-dasharray: 6371;
	stroke-dashoffset: 6371;
	animation: draw 4s linear infinite;
}

#loader #progress {
	width: 160px;
	height: 10px;
	position: relative;
	overflow: hidden;
	border-radius: 10px;
	background: #333;
}

#loader #progress div {
	width: 100%;
	height: 100%;
	position: absolute;
	border-radius: 10px;
	background: #835a00;
	transform: translateX(var(--x));
	transition: 200ms;
}

@keyframes draw {
	0% {
		stroke-dashoffset: 6371;
	}
	50% {
		stroke-dashoffset: 0;
	}
	100% {
		stroke-dashoffset: -6371;
	}
}